Daemon Power

The NetBSD Packages Collection: databases/ruby-mysql2

Brief description of the package:
Simple, fast Mysql library for Ruby, binding to libmysql

Please read the file "DESCR" for a longer description, or browse the package's history.

This package has a home page at https://github.com/brianmario/mysql2/.

Please note that this package has a mit license.

The package is located in the "databases/ruby-mysql2" directory. The current source version of the package is "ruby26-mysql2-0.5.3". For a summary on how to use the package collection, go to the top of the packages tree.

Problem reports, updates or suggestions for this package should be reported with send-pr.

The following security vulnerabilities are known for databases/ruby-mysql2 :

If you have a vulnerable package installed on any machine, you are advised to remove the package immediately, using the standard package tools. The pkg_admin audit command locates any installed package which has been mentioned in security advisories as being vulnerable.

This package requires the following package(s) to build: ruby26-base>=2.6.6 openssl>=1.1.1 cwrappers>=20150314 libyaml>=0.1.1 openssl>=1.1.1dnb2 libyaml>=0.1.4 mysql-client>=5.7.12<5.8 perl>=5.0 lz4>=1.7.3<100 boost-libs-1.73.* icu>=3.4 icu>=66.1 boost-jam-1.73.* editline>=3.0.20130712nb1 libevent>=0.6 lz4>=1.7.3 boost-libs>=1.73.0 libevent>=2.1.11nb1 boost-headers-1.73.* mysql-client>=5.7.28nb2 .

This package requires the following package(s) to run: ruby26-base>=2.6.6 openssl>=1.1.1 libyaml>=0.1.1 openssl>=1.1.1dnb2 libyaml>=0.1.4 mysql-client>=5.7.12<5.8 perl>=5.0 lz4>=1.7.3<100 boost-libs-1.73.* icu>=3.4 icu>=66.1 editline>=3.0.20130712nb1 libevent>=0.6 lz4>=1.7.3 boost-libs>=1.73.0 libevent>=2.1.11nb1 mysql-client>=5.7.28nb2 .

This package supports the following build-time options:

(none)

Select one of the links below to download the package in precompiled binary form for installation with pkg_add(1). Available machine architectures and package versions:
alpha:ruby24-mysql2-0.5.2.tgz(NetBSD 8.0)
alpha:ruby25-mysql2-0.5.2.tgz(NetBSD 8.0)
alpha:ruby26-mysql2-0.5.2.tgz(NetBSD 8.0)
earmv6hf:ruby24-mysql2-0.5.2.tgz(NetBSD 8.0)
earmv6hf:ruby25-mysql2-0.5.2.tgz(NetBSD 8.0)
earmv6hf:ruby26-mysql2-0.5.2.tgz(NetBSD 8.0)
earmv6hf:ruby24-mysql2-0.5.2.tgz(NetBSD 9.0)
earmv6hf:ruby25-mysql2-0.5.2.tgz(NetBSD 9.0)
earmv6hf:ruby26-mysql2-0.5.2.tgz(NetBSD 9.0)
earmv7hf:ruby24-mysql2-0.5.3.tgz(NetBSD 8.0)
earmv7hf:ruby25-mysql2-0.5.3.tgz(NetBSD 8.0)
earmv7hf:ruby26-mysql2-0.5.3.tgz(NetBSD 8.0)
earmv7hf:ruby27-mysql2-0.5.3.tgz(NetBSD 8.0)
earmv7hf:ruby24-mysql2-0.5.2.tgz(NetBSD 8.0)
earmv7hf:ruby25-mysql2-0.5.2.tgz(NetBSD 8.0)
earmv7hf:ruby26-mysql2-0.5.2.tgz(NetBSD 8.0)
earmv7hf:ruby24-mysql2-0.5.3.tgz(NetBSD 9.0)
earmv7hf:ruby25-mysql2-0.5.3.tgz(NetBSD 9.0)
earmv7hf:ruby26-mysql2-0.5.3.tgz(NetBSD 9.0)
earmv7hf:ruby27-mysql2-0.5.3.tgz(NetBSD 9.0)
earmv7hf:ruby24-mysql2-0.5.2.tgz(NetBSD 9.0)
earmv7hf:ruby25-mysql2-0.5.2.tgz(NetBSD 9.0)
earmv7hf:ruby26-mysql2-0.5.2.tgz(NetBSD 9.0)
i386:ruby24-mysql2-0.5.3.tgz(NetBSD 9.0)
i386:ruby25-mysql2-0.5.3.tgz(NetBSD 9.0)
i386:ruby26-mysql2-0.5.3.tgz(NetBSD 9.0)
i386:ruby27-mysql2-0.5.3.tgz(NetBSD 9.0)
i386:ruby24-mysql2-0.5.2.tgz(NetBSD 7.0)
i386:ruby25-mysql2-0.5.2.tgz(NetBSD 7.0)
i386:ruby24-mysql2-0.5.2.tgz(NetBSD 7.0)
i386:ruby25-mysql2-0.5.2.tgz(NetBSD 7.0)
i386:ruby24-mysql2-0.5.2.tgz(NetBSD 7.1)
i386:ruby25-mysql2-0.5.2.tgz(NetBSD 7.1)
i386:ruby24-mysql2-0.5.2.tgz(NetBSD 7.1)
i386:ruby25-mysql2-0.5.2.tgz(NetBSD 7.1)
i386:ruby24-mysql2-0.5.3.tgz(NetBSD 7.1)
i386:ruby25-mysql2-0.5.3.tgz(NetBSD 7.1)
i386:ruby24-mysql2-0.5.2.tgz(NetBSD 8.0)
i386:ruby25-mysql2-0.5.2.tgz(NetBSD 8.0)
i386:ruby26-mysql2-0.5.2.tgz(NetBSD 8.0)
i386:ruby24-mysql2-0.5.2.tgz(NetBSD 8.0)
i386:ruby25-mysql2-0.5.2.tgz(NetBSD 8.0)
i386:ruby26-mysql2-0.5.2.tgz(NetBSD 8.0)
i386:ruby24-mysql2-0.5.3.tgz(NetBSD 8.0)
i386:ruby25-mysql2-0.5.3.tgz(NetBSD 8.0)
i386:ruby26-mysql2-0.5.3.tgz(NetBSD 8.0)
i386:ruby27-mysql2-0.5.3.tgz(NetBSD 8.0)
i386:ruby24-mysql2-0.5.3.tgz(NetBSD 9.0)
i386:ruby25-mysql2-0.5.3.tgz(NetBSD 9.0)
i386:ruby26-mysql2-0.5.3.tgz(NetBSD 9.0)
i386:ruby27-mysql2-0.5.3.tgz(NetBSD 9.0)
i386:ruby24-mysql2-0.5.2.tgz(NetBSD 9.0)
i386:ruby25-mysql2-0.5.2.tgz(NetBSD 9.0)
i386:ruby26-mysql2-0.5.2.tgz(NetBSD 9.0)
sparc64:ruby24-mysql2-0.5.2.tgz(NetBSD 8.0)
sparc64:ruby25-mysql2-0.5.2.tgz(NetBSD 8.0)
sparc64:ruby26-mysql2-0.5.2.tgz(NetBSD 8.0)
sparc64:ruby24-mysql2-0.5.2.tgz(NetBSD 9.0)
sparc64:ruby25-mysql2-0.5.2.tgz(NetBSD 9.0)
sparc64:ruby26-mysql2-0.5.2.tgz(NetBSD 9.0)
x86_64:ruby24-mysql2-0.5.3.tgz(NetBSD 9.0)
x86_64:ruby25-mysql2-0.5.3.tgz(NetBSD 9.0)
x86_64:ruby26-mysql2-0.5.3.tgz(NetBSD 9.0)
x86_64:ruby27-mysql2-0.5.3.tgz(NetBSD 9.0)
x86_64:ruby24-mysql2-0.5.3.tgz(NetBSD 9.0)
x86_64:ruby25-mysql2-0.5.3.tgz(NetBSD 9.0)
x86_64:ruby26-mysql2-0.5.3.tgz(NetBSD 9.0)
x86_64:ruby27-mysql2-0.5.3.tgz(NetBSD 9.0)
x86_64:ruby24-mysql2-0.5.2.tgz(NetBSD 7.0)
x86_64:ruby25-mysql2-0.5.2.tgz(NetBSD 7.0)
x86_64:ruby24-mysql2-0.5.2.tgz(NetBSD 7.0)
x86_64:ruby25-mysql2-0.5.2.tgz(NetBSD 7.0)
x86_64:ruby24-mysql2-0.5.2.tgz(NetBSD 7.1)
x86_64:ruby25-mysql2-0.5.2.tgz(NetBSD 7.1)
x86_64:ruby24-mysql2-0.5.2.tgz(NetBSD 7.1)
x86_64:ruby25-mysql2-0.5.2.tgz(NetBSD 7.1)
x86_64:ruby24-mysql2-0.5.3.tgz(NetBSD 8.0)
x86_64:ruby25-mysql2-0.5.3.tgz(NetBSD 8.0)
x86_64:ruby26-mysql2-0.5.3.tgz(NetBSD 8.0)
x86_64:ruby27-mysql2-0.5.3.tgz(NetBSD 8.0)
x86_64:ruby24-mysql2-0.5.2.tgz(NetBSD 8.0)
x86_64:ruby25-mysql2-0.5.2.tgz(NetBSD 8.0)
x86_64:ruby26-mysql2-0.5.2.tgz(NetBSD 8.0)
x86_64:ruby24-mysql2-0.5.2.tgz(NetBSD 8.0)
x86_64:ruby25-mysql2-0.5.2.tgz(NetBSD 8.0)
x86_64:ruby26-mysql2-0.5.2.tgz(NetBSD 8.0)
x86_64:ruby24-mysql2-0.5.3.tgz(NetBSD 9.0)
x86_64:ruby25-mysql2-0.5.3.tgz(NetBSD 9.0)
x86_64:ruby26-mysql2-0.5.3.tgz(NetBSD 9.0)
x86_64:ruby27-mysql2-0.5.3.tgz(NetBSD 9.0)
x86_64:ruby24-mysql2-0.5.2.tgz(NetBSD 9.0)
x86_64:ruby25-mysql2-0.5.2.tgz(NetBSD 9.0)
x86_64:ruby26-mysql2-0.5.2.tgz(NetBSD 9.0)
x86_64:ruby24-mysql2-0.5.3.tgz(NetBSD 9.0)
x86_64:ruby25-mysql2-0.5.3.tgz(NetBSD 9.0)
x86_64:ruby26-mysql2-0.5.3.tgz(NetBSD 9.0)
x86_64:ruby27-mysql2-0.5.3.tgz(NetBSD 9.0)

The NetBSD packages collection is designed to permit easy installation from source - particularly useful if the latest binary package is not available for your chosen platform.


[ Go up one level | Go to top of packages tree | List all packages ]